Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# RSS Class Reference

List of all members.

## Public Member Functions
| RSS ()
| AddChannel ($Title, $Link, $Description)
| SetImage ($Url, $Title, $Link, $Height=NULL, $Width=NULL, $Description=NULL)
| SetLanguage ($Value)
| SetCopyright ($Value)
| SetManagingEditor ($Value)
| SetWebmaster ($Value)
| SetPicsRating ($Value)
| SetPublicationDate ($Value)
| SetLastChangeDate ($Value)
| SetTextInput ($Title, $Description, $Name)
| SetSkipTimes ($Days, $Hours)
| SetCloud ($Domain, $Port, $Path, $Procedure, $Protocol)
| AddItem ($Title=NULL, $Link=NULL, $Description=NULL, $Date=NULL)
| AddItemCategory ($Category, $Url)
| AddItemEnclosure ($Url, $Length, $Type)
| AddItemSource ($Source, $Url)
| PrintRSS ()
| PrintChannelElement ($VarName, $TagName)
| PrintItemElement ($VarName, $TagName)
| FormatDate ($DateValue)
## Public Attributes
| $Channels
| $Items
| $ChannelCount
| $ItemCounts
| $ChannelIndex
| $ItemIndex

## Detailed Description

Definition at line 19 of file Axis--RSS.php.

## Member Function Documentation

RSS::AddChannel | ( | $ | Title,
|  | $ | Link,
|  | $ | Description |
| ) |  |  |

Definition at line 29 of file Axis--RSS.php.

RSS::AddItem | ( | $ | Title = `NULL`,
|  | $ | Link = `NULL`,
|  | $ | Description = `NULL`,
|  | $ | Date = `NULL` |
| ) |  |  |

Definition at line 72 of file Axis--RSS.php.

References FormatDate().

RSS::AddItemCategory | ( | $ | Category,
|  | $ | Url |
| ) |  |  |

Definition at line 80 of file Axis--RSS.php.

RSS::AddItemEnclosure | ( | $ | Url,
|  | $ | Length,
|  | $ | Type |
| ) |  |  |

Definition at line 85 of file Axis--RSS.php.

RSS::AddItemSource | ( | $ | Source,
|  | $ | Url |
| ) |  |  |

Definition at line 91 of file Axis--RSS.php.

RSS::FormatDate | ( | $ | DateValue | ) |

Definition at line 215 of file Axis--RSS.php.

Referenced by AddItem(), SetLastChangeDate(), and SetPublicationDate().

Here is the caller graph for this function:

RSS::PrintChannelElement | ( | $ | VarName,
|  | $ | TagName |
| ) |  |  |

Definition at line 193 of file Axis--RSS.php.

References FTOut().

Referenced by PrintRSS().

Here is the caller graph for this function:

RSS::PrintItemElement | ( | $ | VarName,
|  | $ | TagName |
| ) |  |  |

Definition at line 204 of file Axis--RSS.php.

References FTOut().

Referenced by PrintRSS().

Here is the caller graph for this function:

RSS::PrintRSS | ( |  | ) |

Definition at line 98 of file Axis--RSS.php.

References FTOut(), PrintChannelElement(), and PrintItemElement().

RSS::RSS | ( |  | ) |

Definition at line 23 of file Axis--RSS.php.

RSS::SetCloud | ( | $ | Domain,
|  | $ | Port,
|  | $ | Path,
|  | $ | Procedure,
|  | $ | Protocol |
| ) |  |  |

Definition at line 66 of file Axis--RSS.php.

RSS::SetCopyright | ( | $ | Value | ) |

Definition at line 50 of file Axis--RSS.php.

RSS::SetImage | ( | $ | Url,
|  | $ | Title,
|  | $ | Link,
|  | $ | Height = `NULL`,
|  | $ | Width = `NULL`,
|  | $ | Description = `NULL` |
| ) |  |  |

Definition at line 37 of file Axis--RSS.php.

RSS::SetLanguage | ( | $ | Value | ) |

Definition at line 49 of file Axis--RSS.php.

RSS::SetLastChangeDate | ( | $ | Value | ) |

Definition at line 55 of file Axis--RSS.php.

References FormatDate().

RSS::SetManagingEditor | ( | $ | Value | ) |

Definition at line 51 of file Axis--RSS.php.

RSS::SetPicsRating | ( | $ | Value | ) |

Definition at line 53 of file Axis--RSS.php.

RSS::SetPublicationDate | ( | $ | Value | ) |

Definition at line 54 of file Axis--RSS.php.

References FormatDate().

RSS::SetSkipTimes | ( | $ | Days,
|  | $ | Hours |
| ) |  |  |

Definition at line 62 of file Axis--RSS.php.

RSS::SetTextInput | ( | $ | Title,
|  | $ | Description,
|  | $ | Name |
| ) |  |  |

Definition at line 56 of file Axis--RSS.php.

RSS::SetWebmaster | ( | $ | Value | ) |

Definition at line 52 of file Axis--RSS.php.

## Member Data Documentation

RSS::$ChannelCount

Definition at line 188 of file Axis--RSS.php.

RSS::$ChannelIndex

Definition at line 190 of file Axis--RSS.php.

RSS::$Channels

Definition at line 186 of file Axis--RSS.php.

RSS::$ItemCounts

Definition at line 189 of file Axis--RSS.php.

RSS::$ItemIndex

Definition at line 191 of file Axis--RSS.php.

RSS::$Items

Definition at line 187 of file Axis--RSS.php.

The documentation for this class was generated from the following file:

- Axis--RSS.php